Results 1 to 5 of 5

Thread: A few Questions!

  
  1. #1
    eXsaNe is offline -Hacks Newbie
    Join Date
    Dec 2005
    Posts
    3
    Rep Power
    0

    Default

    Hello Everyone.

    I just wanted to ask a few questions about the PSP, if you don't mind helping me out :)

    I am currently at FW 2.81. I don't know if I want to update. I have looked over the 3.00 FW and since you need a PS3 to use the PSone emulator, I don't know if I want to upgrade.

    So here is a few question's:
    Is there or do you guy's think that there is going to ever have Homebrew or anything like that for FW 2.81?
    What else could I do with my psp, except play UMD games, Is there any nes or snes or n64 emulators that I can use for 2.81?
    Any neat program that I can use?

    I just want to do something different with my psp, since I never use it. I have always updated to the next FW, because I never got into HB or anything. But I am so bored of the few decent games for the psp. So really, I am just wondering if it will be worth saying at FW 2.81, or should I just upgrade..

    Thanks for any help guy's!!


  2. #2
    Splitz is offline -Hacks Hacker
    Join Date
    Jul 2006
    Location
    Liberty, New York
    Posts
    879
    Rep Power
    14

    Default

    When in doubt, fudge it. Id upgrade, its like you have anything to lose anyway.

  3. #3
    Zero is offline Ad Man -Hacks Titan
    Join Date
    Apr 2006
    Posts
    10,061
    Rep Power
    0

    Default

    Don't listen to Splitz! :P

    I say don't upgrade anymore and hope for a 2.81 downgrader.

    By upgrading, it's just a longer wait to get back to the *good* firmware, then you have homebrew.

    You never know, eventually, you might see a eLoader or HEN-D for 2.81.

  4. #4
    SXForce is offline -Hacks Guru
    Join Date
    Oct 2006
    Location
    ~The Netherlands~ Post/Day: X
    Posts
    1,704
    Rep Power
    15

    Default

    Do not upgrade, there is more chance that there will be a downgrader for 2.81 sooner than 3.00/3.01

  5. #5
    eram_hiram is offline Senior Member -Hacks Enthusiast
    Join Date
    Jul 2006
    Posts
    382
    Rep Power
    14

    Default

    Quote Originally Posted by sxf
    Do not upgrade, there is more chance that there will be a downgrader for 2.81 sooner than 3.00/3.01
    ... then you can possibly emulate 3.0 or even better we can have D_A 3.0 SE. so, don't upgrade

    P>S I'm not saying 3.0SE or 3.0 emulation will come out soon, ;)
    I\'m a proud parent!!!
    \"I\'m gonna be a father soon(november/december)!!!!!\"

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •